#include <QtGui>
#include "renderarea.h"
#include "renderitem.h"
#include <iostream>
#include <cmath>
#include <ctime>

RenderArea::RenderArea(int sceneX, int sceneY, QObject *parent) : QGraphicsScene(parent)
{
    myItemColor = Qt::white;

    myX = sceneX;
    myY = sceneY;
}

void RenderArea::drawRects(int x, int y) {
    int width = ceil( (double) myX / x);
    int height = ceil( (double) myY / y);
    int id = 0;

    for( int i = 0; i < myX; i += width ) {
        for( int j = 0; j < myY; j += height) {
            RenderItem *item = new RenderItem(width, height, id++);
            addItem(item);
            item->setPos(i, j);
        }
    }
}
