#ifndef RENDERAREA_H
#define RENDERAREA_H

#include <QtGui>

class RenderArea : public QGraphicsScene
{
public:
    RenderArea(int sceneX, int sceneY, QObject *parent = 0);

    void setColumnsAndLines( int, int );
    void drawRects( int, int );

protected:
    void mousePressEvent(QMouseEvent *event);

private:
    int myX;
    int myY;
    QColor myItemColor;
};

#endif // RENDERAREA_H
